# Uses of Class
org.eclipse.birt.report.model.api.GroupHandle

Packages that use GroupHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.validators
Provides the validation classes for semantic check on multiple properties.

## Uses of GroupHandle in org.eclipse.birt.report.model.api

Subclasses of GroupHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`ListGroupHandle`
Represents a group in a list.
`class`
`TableGroupHandle`
Represent a handle to a table group.
Methods in org.eclipse.birt.report.model.api with parameters of type GroupHandle
Modifier and Type
Method
Description
`static String`
ModuleUtil.`validteGroupName(GroupHandle groupHandle, String groupName)`
Validates the given group name.

## Uses of GroupHandle in org.eclipse.birt.report.model.api.validators

Methods in org.eclipse.birt.report.model.api.validators with parameters of type GroupHandle
Modifier and Type
Method
Description
`List<SemanticException>`
GroupNameValidator.`validateForRenamingGroup(ListingHandle element, GroupHandle group, String groupName)`
Validates whether the group can be renamed to the given name.